/*
 * Copyright 2016 - 2022 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#pragma once

#include <ox/std/error.hpp>
#include <ox/std/types.hpp>

#include <ox/mc/mc.hpp>

#include <nostalgia/core/gfx.hpp>

namespace nostalgia::core {

[[nodiscard]]
ox::UniquePtr<core::NostalgiaGraphic> imgToNg(ox::String argInPath, int argBpp = -1);

}
